/* ======= Promos =====================================================
 Vstup z paralelniho portu KIO PA,PB
   spojovanim spicek 3-4, 5-6..33-34 se indikuji prislusne bity LED portu PC
   bity z portu KIO-PA se indikuji kratkym mrknutim
   bity z portu KIO-PB se indikuji dlouhym mrknutim
 Nastaveni propojek:
   Propojka X7 - spojeny piny 2-3 (port PC vystupni)
*/

#use "pmscpu.lib"

main () {
  char a,b;
  outport(_PIOCA,0xFF);  // KIO-PA mode 3 bit IN
  outport(_PIOCA,0xFF);  // vsechny bity na vstup
  outport(_PIOCB,0xFF);  // KIO-PB mode 3 bit IN
  outport(_PIOCB,0xFF);  // vsechny bity na vstup

  for (;;) {
    a=~inport(_PIODA)&0xFF;    // sejmuti PA
    outport(_PCD,~a);          // vystup na port PC
    delay(50);                 // kratka prodleva
    b=~inport(_PIODB)&0xFF;    // sejmuti PB
    outport(_PCD,~b);          // vystup na port PC
    delay(300);                // dlouha prodleva
  }
}

